
#language: ru

@MovingProducts

Функционал: 014. MovingProducts. Проверка подсчета сумм в перемещении

Сценарий: 014.1. MovingProducts. Установка вида цены для перемещения - цена без НДС

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "14.014. Перемещение товаров"
	И В командном интерфейсе я выбираю 'Заказы' 'Настройки исполнения заказов'
	Тогда открылось окно 'Настройки исполнения заказов'
	И из выпадающего списка "Вид цен для перемещения товаров" я выбираю по строке 'Для проверки суммы в перемещении - цена без НДС'
	И Я закрываю окно 'Настройки исполнения заказов'

Сценарий: 014.2. MovingProducts. Проверка подсчета сумм в перемещении - цена без НДС. Создание перемещения

	Дано я удаляю объекты "Документы.к2ПеремещениеТоваров" без контроля ссылок
	И В командном интерфейсе я выбираю 'Заказы' 'Перемещения товаров'
	Тогда открылось окно 'Перемещения товаров'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Перемещение товаров (создание)'
	И в поле с именем 'Дата' я ввожу текст '13.07.2019  0:00:00'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Подразделение" я выбираю по строке 'Подразделение приемки заказов'
	И я нажимаю кнопку выбора у поля "Задание на доставку"
	Тогда открылось окно 'Задания на доставку'
	И в таблице "Список" я перехожу к строке:
		| '(План) Начало рейса ' |
		| '12.10.2019 0:00:00'   |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Перемещение товаров (создание) *'
	И из выпадающего списка "Склад отправитель" я выбираю по строке 'Сырная ГП'
	И из выпадающего списка "Склад получатель" я выбираю по строке 'Склад готовой продукции'
	И я перехожу к закладке "Товары"
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" с характеристикой "<Без маркировки>" в количестве "57,816"
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" с характеристикой "<Без маркировки>" в количестве "16,487"
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000002 до 28.10.2020 0:00:00'
	И в поле 'Комментарий' я ввожу текст 'Перемещение - проверка подсчета суммы цена без НДС'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Перемещение товаров (создание) *' в течение 20 секунд
	Тогда открылось окно 'Перемещения товаров'
	И Я закрываю окно 'Перемещения товаров'

Сценарий: 014.3. MovingProducts. Проверка подсчета сумм в перемещении - цена без НДС. Печать ТТН

	И В командном интерфейсе я выбираю 'Заказы' 'Перемещения товаров'
	Тогда открылось окно 'Перемещения товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                        |
		| 'Перемещение - проверка подсчета суммы цена без НДС' |
	И я нажимаю на кнопку 'Товарно-транспортная накладная (1-Т)'
	Тогда открылось окно 'Перемещение товаров *'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "ТТН для перемещения - проверка суммы цена без НДС"
	И Я закрываю окно 'Перемещение товаров *'
	Тогда открылось окно 'Перемещения товаров'
	И Я закрываю окно 'Перемещения товаров'

Сценарий: 014.4. MovingProducts. Проверка подсчета сумм в перемещении - цена без НДС. Печать ТОРГ-13

	И В командном интерфейсе я выбираю 'Заказы' 'Перемещения товаров'
	Тогда открылось окно 'Перемещения товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                        |
		| 'Перемещение - проверка подсчета суммы цена без НДС' |
	И я нажимаю на кнопку 'Накладная на внутреннее перемещение (ТОРГ-13)'
	Тогда открылось окно 'Перемещение товаров *'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "ТОРГ-13 для перемещения - проверка суммы цена без НДС"
	И Я закрываю окно 'Перемещение товаров *'
	Тогда открылось окно 'Перемещения товаров'
	И Я закрываю окно 'Перемещения товаров'

Сценарий: 014.5. MovingProducts. Установка виды цены - цена без НДС

	И В командном интерфейсе я выбираю 'Заказы' 'Настройки исполнения заказов'
	Тогда открылось окно 'Настройки исполнения заказов'
	И я нажимаю кнопку выбора у поля "Вид цен для перемещения товаров"
	Тогда открылось окно 'Виды цен'
	И в таблице "Список" я перехожу к строке:
		| 'Валюта' | 'Вкл. НДС' | 'Наименование' | 'Способ задания' |
		| 'RUB'    | 'Да'       | 'Базовый'      | 'Ручной ввод'    |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Настройки исполнения заказов'
	И Я закрываю окно 'Настройки исполнения заказов'

Сценарий: 014.6. MovingProducts. Проверка подсчета сумм в перемещении - цена с НДС. Создание перемещения

	И В командном интерфейсе я выбираю 'Заказы' 'Перемещения товаров'
	Тогда открылось окно 'Перемещения товаров'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Перемещение товаров (создание)'
	И в поле с именем 'Дата' я ввожу текст '13.07.2019  0:00:00'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Подразделение" я выбираю по строке 'Подразделение приемки заказов'
	И я нажимаю кнопку выбора у поля "Задание на доставку"
	Тогда открылось окно 'Задания на доставку'
	И в таблице "Список" я перехожу к строке:
		| '(План) Начало рейса ' |
		| '12.10.2019 0:00:00'   |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Перемещение товаров (создание) *'
	И из выпадающего списка "Склад отправитель" я выбираю по строке 'Сырная ГП'
	И из выпадающего списка "Склад получатель" я выбираю по строке 'Склад готовой продукции'
	И я перехожу к закладке "Товары"
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" с характеристикой "<Без маркировки>" в количестве "57,816"
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" с характеристикой "<Без маркировки>" в количестве "16,480"
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000002 до 28.10.2020 0:00:00'
	И в поле 'Комментарий' я ввожу текст 'Перемещение - проверка подсчета суммы'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Перемещение товаров (создание) *' в течение 20 секунд
	Тогда открылось окно 'Перемещения товаров'
	И Я закрываю окно 'Перемещения товаров'

Сценарий: 014.7. MovingProducts. Проверка подсчета сумм в перемещении - цена с НДС. Печать ТТН

	И В командном интерфейсе я выбираю 'Заказы' 'Перемещения товаров'
	Тогда открылось окно 'Перемещения товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                           |
		| 'Перемещение - проверка подсчета суммы' |
	И я нажимаю на кнопку 'Товарно-транспортная накладная (1-Т)'
	Тогда открылось окно 'Перемещение товаров *'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "ТТН для перемещения - проверка суммы"
	И Я закрываю окно 'Перемещение товаров *'
	Тогда открылось окно 'Перемещения товаров'
	И Я закрываю окно 'Перемещения товаров'

Сценарий: 014.8. MovingProducts. Проверка подсчета сумм в перемещении - цена с НДС. Создание перемещения

	И В командном интерфейсе я выбираю 'Заказы' 'Перемещения товаров'
	Тогда открылось окно 'Перемещения товаров'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                           |
		| 'Перемещение - проверка подсчета суммы' |
	И я нажимаю на кнопку 'Накладная на внутреннее перемещение (ТОРГ-13)'
	Тогда открылось окно 'Перемещение товаров *'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "ТОРГ-13 для перемещения - проверка суммы"
	И Я закрываю окно 'Перемещение товаров *'
	Тогда открылось окно 'Перемещения товаров'
	И Я закрываю окно 'Перемещения товаров'

Сценарий: 014.9. MovingProducts. Завершение

	И Я закрыл все окна клиентского приложения